@extends('user-front.layout')

@section('tab-title')
    {{ $keywords['Dashboard'] ?? __('Dashboard') }}
@endsection

@section('page-name')
    {{ $keywords['Dashboard'] ?? __('Dashboard') }}
@endsection

@section('br-name')
    {{ $keywords['Dashboard'] ?? __('Dashboard') }}
@endsection

@section('content')
    <!--====== Breadcrumb part End ======-->
    <section class="user-dashbord pt-100 pb-60">
        <div class="container">
            <div class="row">
                @includeIf('user-front.customer.side-navbar')
                <div class="col-lg-9">
                    <div class="row mb-4">
                        <div class="col-lg-8">
                            <div class="user-profile-details">
                                <div class="account-info mb-3">
                                    <div class="title">
                                        <h4 class="mb-2">
                                            {{ $keywords['account_information'] ?? __('Account Information') }}</h4>
                                    </div>
                                    <div class="main-info">
                                        <ul class="list">
                                            <li><strong>{{ $keywords['Name'] ?? __('Name') }}:</strong>
                                                {{ Auth::guard('customer')->user()->first_name }} {{ Auth::guard('customer')->user()->last_name }}</li>
                                            <li><strong>{{ $keywords['email'] ?? __('Email') }}:</strong>
                                                {{ Auth::guard('customer')->user()->email }}</li>
                                            <li><strong>{{ $keywords['Phone_Number'] ?? __('phone') }}:</strong>
                                                {{ Auth::guard('customer')->user()->contact_number }}</li>
                                            <li><strong>{{ $keywords['address'] ?? __('Address') }}:</strong>
                                                {{ Auth::guard('customer')->user()->address }}</li>
                                            <li><strong>{{ $keywords['state'] ?? __('State') }}:</strong>
                                                {{ Auth::guard('customer')->user()->billing_state }}</li>
                                            <li><strong>{{ $keywords['city'] ?? __('City') }}:</strong>
                                                {{ Auth::guard('customer')->user()->billing_city }}
                                            </li>
                                            <li><strong>{{ $keywords['country'] ?? __('Country') }}:</strong>
                                                {{ Auth::guard('customer')->user()->billing_country }}</li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="row">
                                @if ($userShopSetting->is_shop == 1 && $userShopSetting->catalog_mode == 0)
                                    <div class="col-md-12">
                                        <a href="{{ route('customer.orders', getParam()) }}"
                                            class="card card-box box-1 mb-3">
                                            <div class="card-info">
                                                <h5>{{ $keywords['myOrders'] ?? __('My Orders') }}</h5>
                                                <p>{{ $totalorders }}</p>
                                            </div>
                                        </a>
                                    </div>
                                @endif
                                <div class="col-md-12">
                                    <a href="{{ route('customer.wishlist', getParam()) }}"
                                        class="card card-box box-2 mb-3">
                                        <div class="card-info">
                                            <h5>{{ $keywords['mywishlist'] ?? __('my wishlist') }}</h5>
                                            <p>{{ $totalwishlist }} </p>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    @if ($userShopSetting->is_shop == 1 && $userShopSetting->catalog_mode == 0)
                        @if ($orders->count())
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="account-info mb-40">
                                        <div class="title">
                                            <h4 class="mb-2">{{ $keywords['myOrders'] ?? __('My Orders') }}</h4>
                                        </div>
                                        <div class="main-info">
                                            <div class="main-table">
                                                <div class="table-responsiv">
                                                    <table id="order_table"
                                                        class="dataTables_wrapper dt-responsive table-striped dt-bootstrap4"
                                                        style="width:100%">
                                                        <thead>
                                                            <tr>
                                                                <th>{{ $keywords['order_number'] ?? __('Order Number') }}
                                                                </th>
                                                                <th>{{ $keywords['date'] ?? __('Date') }}</th>
                                                                <th>{{ $keywords['total'] ?? __('Total') }}</th>
                                                                <th>{{ $keywords['Status'] ?? __('Status') }}</th>
                                                                <th>{{ $keywords['action'] ?? __('Action') }}</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @if ($orders)
                                                                @foreach ($orders as $order)
                                                                    <tr>
                                                                        <td>{{ $order->order_number }}</td>
                                                                        <td>{{ $order->created_at->format('d-m-Y') }}</td>
                                                                        <td>{{ $userBs->base_currency_symbol_position == 'left' ? $userBs->base_currency_symbol : '' }}
                                                                            {{ $order->total }}
                                                                            {{ $userBs->base_currency_symbol_position == 'right' ? $userBs->base_currency_symbol : '' }}
                                                                        </td>
                                                                        <td><span
                                                                                class="front-status-btn {{ $order->order_status }}">{{ $order->order_status }}</span>
                                                                        </td>
                                                                        <td><a href="{{ route('customer.orders-details', ['id' => $order->id, getParam()]) }}"
                                                                                class="btn base-bg">{{ $keywords['details'] ?? __('Details') }}</a>
                                                                        </td>
                                                                    </tr>
                                                                @endforeach
                                                            @else
                                                                <tr class="text-center">
                                                                    <td colspan="4">
                                                                        {{ $keywords['no_items'] ?? __('No Items found!') }}
                                                                    </td>
                                                                </tr>
                                                            @endif
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endif
                    @endif
                </div>
            </div>
        </div>
    </section>
    <!--====== Footer Part Start ======-->
@endsection
