<?php
    $default = \App\Models\User\Language::where('is_default', 1)
        ->where('user_id', Auth::user()->id)
        ->first();
    $user = Auth::guard('web')->user();
    $package = \App\Http\Helpers\UserPermissionHelper::currentPackagePermission($user->id);
    if (!empty($user)) {
        $permissions = \App\Http\Helpers\UserPermissionHelper::packagePermission($user->id);
        $permissions = json_decode($permissions, true);
        $userBs = \App\Models\User\BasicSetting::where('user_id', $user->id)->first();
    }
?>
<div class="sidebar sidebar-style-2" <?php if(request()->cookie('user-theme') == 'dark'): ?> data-background-color="dark2" <?php endif; ?>>
    <div class="sidebar-wrapper scrollbar scrollbar-inner">
        <div class="sidebar-content">
            <div class="user">
                <div class="avatar-sm float-left mr-2">
                    <?php if(!empty(Auth::user()->photo)): ?>
                        <img src="<?php echo e(asset('assets/front/img/user/' . Auth::user()->photo)); ?>" alt="..."
                            class="avatar-img rounded">
                    <?php else: ?>
                        <img src="<?php echo e(asset('assets/admin/img/propics/blank_user.jpg')); ?>" alt="..."
                            class="avatar-img rounded">
                    <?php endif; ?>
                </div>
                <div class="info">
                    <a data-toggle="collapse" href="#collapseExample" aria-expanded="true">
                        <span>
                            <?php echo e(auth()->user()->first_name . ' ' . auth()->user()->last_name); ?>

                            <span class="user-level"><?php echo e(auth()->user()->username); ?></span>
                            <span class="caret"></span>
                        </span>
                    </a>
                    <div class="clearfix"></div>
                    <div class="collapse in" id="collapseExample">
                        <ul class="nav">
                            <?php if(!is_null($package)): ?>
                                <li>
                                    <a href="<?php echo e(route('user-profile-update')); ?>">
                                        <span class="link-collapse"><?php echo e(__('Edit Profile')); ?></span>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <li>
                                <a href="<?php echo e(route('user.changePass')); ?>">
                                    <span class="link-collapse"><?php echo e(__('Change Password')); ?></span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo e(route('user-logout')); ?>">
                                    <span class="link-collapse"><?php echo e(__('Logout')); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <ul class="nav nav-primary">
                <div class="row mb-2">
                    <div class="col-12">
                        <form action="">
                            <div class="form-group py-0">
                                <input name="term" type="text" class="form-control sidebar-search ltr"
                                    value="" placeholder="<?php echo e(__('Search Menu Here')); ?>...">
                            </div>
                        </form>
                    </div>
                </div>
                <li class="nav-item
                <?php if(request()->path() == 'user/dashboard'): ?> active <?php endif; ?>">
                    <a href="<?php echo e(route('user-dashboard')); ?>">
                        <i class="la flaticon-paint-palette"></i>
                        <p><?php echo e(__('Dashboard')); ?></p>
                    </a>
                </li>
                <li class="nav-item
                <?php if(request()->path() == 'user/profile'): ?> active <?php endif; ?>">
                    <a href="<?php echo e(route('user-profile')); ?>">
                        <i class="far fa-user-circle"></i>
                        <p><?php echo e(__('Edit Profile')); ?></p>
                    </a>
                </li>
                <?php if(!is_null($package)): ?>
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/domains'): ?> active
                    <?php elseif(request()->path() == 'user/subdomain'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#domains">
                            <i class="fas fa-link"></i>
                            <p><?php echo e(__('Domains & URLs')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/domains'): ?> show
                        <?php elseif(request()->path() == 'user/subdomain'): ?> show <?php endif; ?>"
                            id="domains">
                            <ul class="nav nav-collapse">
                                <?php if(!empty($permissions) && in_array('Custom Domain', $permissions)): ?>
                                    <li
                                        class="
                                    <?php if(request()->path() == 'user/domains'): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user-domains')); ?>">
                                            <span class="sub-item"><?php echo e(__('Custom Domain')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <?php if(!empty($permissions) && in_array('Subdomain', $permissions)): ?>
                                    <li
                                        class="
                                    <?php if(request()->path() == 'user/subdomain'): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user-subdomain')); ?>">
                                            <span class="sub-item"><?php echo e(__('Subdomain & Path URL')); ?></span>
                                        </a>
                                    </li>
                                <?php else: ?>
                                    <li
                                        class="
                                    <?php if(request()->path() == 'user/subdomain'): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user-subdomain')); ?>">
                                            <span class="sub-item"><?php echo e(__('Path Based URL')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                <?php if(!is_null($package)): ?>
                    
                    <li class="nav-item
                    <?php if(request()->path() == 'user/menu-builder'): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('user.menu_builder.index') . '?language=' . $default->code); ?>">
                            <i class="fas fa-bars"></i>
                            <p><?php echo e(__('Menu Builder')); ?></p>
                        </a>
                    </li>
                    <?php if(!empty($permissions) && in_array('Ecommerce', $permissions)): ?>
                        
                        <li
                            class="nav-item
                            <?php if(request()->path() == 'user/category'): ?> active
                            <?php elseif(request()->path() == 'user/subcategory'): ?> active
                            <?php elseif(request()->is('user/subcategory/*/edit')): ?> active
                            <?php elseif(request()->is('user/category/*/edit')): ?> active
                            <?php elseif(request()->path() == 'user/item'): ?> active
                            <?php elseif(request()->routeIs('user.item.type')): ?> active
                            <?php elseif(request()->is('user/item/*/edit')): ?> active
                            <?php elseif(request()->path() == 'user/item/all/orders'): ?> active
                            <?php elseif(request()->path() == 'user/item/pending/orders'): ?> active
                            <?php elseif(request()->path() == 'user/item/processing/orders'): ?> active
                            <?php elseif(request()->path() == 'user/item/completed/orders'): ?> active
                            <?php elseif(request()->path() == 'user/item/rejected/orders'): ?> active
                            <?php elseif(request()->routeIs('user.item.variations')): ?> active
                            <?php elseif(request()->routeIs('user.item.create')): ?> active
                            <?php elseif(request()->routeIs('user.item.details')): ?> active
                            <?php elseif(request()->path() == 'user/coupon'): ?> active
                            <?php elseif(request()->routeIs('user.coupon.edit')): ?> active
                            <?php elseif(request()->path() == 'user/shipping'): ?> active
                            <?php elseif(request()->routeIs('user.shipping.edit')): ?> active
                            <?php elseif(request()->routeIs('user.item.settings')): ?> active
                            <?php elseif(request()->path() == 'user/item/orders/report'): ?> active <?php endif; ?>">
                            <a data-toggle="collapse" href="#category">
                                <i class="fas fa-store-alt"></i>
                                <p>Shop Management</p>
                                <span class="caret"></span>
                            </a>
                            <div class="collapse
                            <?php if(request()->path() == 'user/category'): ?> show
                            <?php elseif(request()->path() == 'user/subcategory'): ?> show
                            <?php elseif(request()->is('user/subcategory/*/edit')): ?> show
                            <?php elseif(request()->is('user/category/*/edit')): ?> show
                            <?php elseif(request()->routeIs('user.item.type')): ?> show
                            <?php elseif(request()->path() == 'user/item'): ?> show
                            <?php elseif(request()->is('user/item/*/edit')): ?> show
                            <?php elseif(request()->path() == 'user/item/all/orders'): ?> show
                            <?php elseif(request()->path() == 'user/item/pending/orders'): ?> show
                            <?php elseif(request()->path() == 'user/item/processing/orders'): ?> show
                            <?php elseif(request()->path() == 'user/item/completed/orders'): ?> show
                            <?php elseif(request()->path() == 'user/item/rejected/orders'): ?> show
                            <?php elseif(request()->routeIs('user.item.create')): ?> show
                            <?php elseif(request()->routeIs('user.item.details')): ?> show
                            <?php elseif(request()->path() == 'user/coupon'): ?> show
                            <?php elseif(request()->routeIs('user.coupon.edit')): ?> show
                            <?php elseif(request()->routeIs('user.item.variations')): ?> show
                            <?php elseif(request()->path() == 'user/shipping'): ?> show
                            <?php elseif(request()->routeIs('user.shipping.edit')): ?> show
                            <?php elseif(request()->routeIs('user.item.settings')): ?> show
                            <?php elseif(request()->path() == 'user/item/orders/report'): ?> show <?php endif; ?>"
                                id="category">
                                <ul class="nav nav-collapse">
                                    <li class="<?php if(request()->routeIs('user.item.settings')): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user.item.settings')); ?>">
                                            <span class="sub-item">Settings</span>
                                        </a>
                                    </li>
                                    <li
                                        class="
                                <?php if(request()->path() == 'user/shipping'): ?> active
                                <?php elseif(request()->routeIs('user.shipping.edit')): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user.shipping.index') . '?language=' . $default->code); ?>">
                                            <span class="sub-item">Shipping Charges</span>
                                        </a>
                                    </li>
                                    <li
                                        class="
                            <?php if(request()->path() == 'user/coupon'): ?> active
                            <?php elseif(request()->routeIs('user.coupon.edit')): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user.coupon.index')); ?>">
                                            <span class="sub-item"><?php echo e(__('Coupons')); ?></span>
                                        </a>
                                    </li>
                                    <li class="submenu">
                                        <a data-toggle="collapse" href="#productManagement"
                                            aria-expanded="<?php echo e(request()->path() == 'user/category' || request()->path() == 'user/subcategory' || request()->is('user/category/*/edit') || request()->is('user/subcategory/*/edit') || request()->routeIs('user.item.type') || request()->routeIs('user.item.variations') || request()->routeIs('user.item.create') || request()->routeIs('user.item.index') || request()->routeIs('user.item.edit') ? 'true' : 'false'); ?>">
                                            <span class="sub-item"><?php echo e(__('Manage Items')); ?></span>
                                            <span class="caret"></span>
                                        </a>
                                        <div class="collapse
                                        <?php if(request()->path() == 'user/category'): ?> show
                                        <?php elseif(request()->is('user/category/*/edit')): ?> show
                                        <?php elseif(request()->path() == 'user/subcategory'): ?> show
                                        <?php elseif(request()->is('user/subcategory/*/edit')): ?> show
                                        <?php elseif(request()->routeIs('user.item.type')): ?> show
                                        <?php elseif(request()->routeIs('user.item.variations')): ?> show
                                        <?php elseif(request()->routeIs('user.item.create')): ?> show
                                        <?php elseif(request()->routeIs('user.item.index')): ?> show
                                        <?php elseif(request()->routeIs('user.item.edit')): ?> show <?php endif; ?>"
                                            id="productManagement" style="">
                                            <ul class="nav nav-collapse subnav">
                                                <li
                                                    class="
                                                <?php if(request()->path() == 'user/category'): ?> active
                                                <?php elseif(request()->is('user/category/*/edit')): ?> active <?php endif; ?>">
                                                    <a
                                                        href="<?php echo e(route('user.itemcategory.index') . '?language=' . $default->code); ?>">
                                                        <span class="sub-item"><?php echo e(__('Categories')); ?></span>
                                                    </a>
                                                </li>
                                                <li
                                                    class="
                                                <?php if(request()->path() == 'user/subcategory'): ?> active
                                                <?php elseif(request()->is('user/subcategory/*/edit')): ?> active <?php endif; ?>">
                                                    <a
                                                        href="<?php echo e(route('user.itemsubcategory.index') . '?language=' . $default->code); ?>">
                                                        <span class="sub-item"><?php echo e(__('Subcategories')); ?></span>
                                                    </a>
                                                </li>
                                                <li
                                                    class="
                                                <?php if(request()->routeIs('user.item.type')): ?> active
                                                <?php elseif(request()->routeIs('user.item.create')): ?> active <?php endif; ?>">
                                                    <a href="<?php echo e(route('user.item.type')); ?>">
                                                        <span class="sub-item">Add Item</span>
                                                    </a>
                                                </li>
                                                <li
                                                    class="
                                                <?php if(request()->path() == 'user/item'): ?> active
                                                <?php elseif(request()->is('user/item/*/edit')): ?> active 
                                                <?php elseif(request()->routeIs('user.item.variations')): ?> active <?php endif; ?>">
                                                    <a
                                                        href="<?php echo e(route('user.item.index') . '?language=' . $default->code); ?>">
                                                        <span class="sub-item">Items</span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>


                                    <li class="submenu">
                                        <a data-toggle="collapse" href="#manageOrders"
                                            aria-expanded="<?php echo e(request()->routeIs('user.all.item.orders') || request()->routeIs('user.pending.item.orders') || request()->routeIs('user.processing.item.orders') || request()->routeIs('user.completed.item.orders') || request()->routeIs('user.rejected.item.orders') || request()->routeIs('user.item.details') || request()->path() == 'admin/product/orders/report' ? 'true' : 'false'); ?>">
                                            <span class="sub-item">Manage Orders</span>
                                            <span class="caret"></span>
                                        </a>
                                        <div class="collapse
                            <?php if(request()->routeIs('user.all.item.orders')): ?> show
                            <?php elseif(request()->routeIs('user.pending.item.orders')): ?> show
                            <?php elseif(request()->routeIs('user.processing.item.orders')): ?> show
                            <?php elseif(request()->routeIs('user.completed.item.orders')): ?> show
                            <?php elseif(request()->routeIs('user.rejected.item.orders')): ?> show
                            <?php elseif(request()->routeIs('user.item.details')): ?> show
                            <?php elseif(request()->path() == 'user/item/orders/report'): ?> show <?php endif; ?>"
                                            id="manageOrders" style="">
                                            <ul class="nav nav-collapse subnav">
                                                <li class="<?php if(request()->path() == 'user/item/all/orders'): ?> active <?php endif; ?>">
                                                    <a href="<?php echo e(route('user.all.item.orders')); ?>">
                                                        <span class="sub-item">All Orders</span>
                                                    </a>
                                                </li>
                                                <li class="<?php if(request()->path() == 'user/item/pending/orders'): ?> active <?php endif; ?>">
                                                    <a href="<?php echo e(route('user.pending.item.orders')); ?>">
                                                        <span class="sub-item">Pending Orders</span>
                                                    </a>
                                                </li>
                                                <li class="<?php if(request()->path() == 'user/item/processing/orders'): ?> active <?php endif; ?>">
                                                    <a href="<?php echo e(route('user.processing.item.orders')); ?>">
                                                        <span class="sub-item">Processing Orders</span>
                                                    </a>
                                                </li>
                                                <li class="<?php if(request()->path() == 'user/item/completed/orders'): ?> active <?php endif; ?>">
                                                    <a href="<?php echo e(route('user.completed.item.orders')); ?>">
                                                        <span class="sub-item">Completed Orders</span>
                                                    </a>
                                                </li>
                                                <li class="<?php if(request()->path() == 'user/item/rejected/orders'): ?> active <?php endif; ?>">
                                                    <a href="<?php echo e(route('user.rejected.item.orders')); ?>">
                                                        <span class="sub-item">Rejected Orders</span>
                                                    </a>
                                                </li>
                                                <li class="<?php if(request()->path() == 'user/item/orders/report'): ?> active <?php endif; ?>">
                                                    <a href="<?php echo e(route('user.orders.report')); ?>">
                                                        <span class="sub-item">Report</span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </li>
                        
                    <?php endif; ?>

                    <?php if(!empty($permissions) && in_array('Ecommerce', $permissions)): ?>
                        
                        <li
                            class="nav-item  <?php if(request()->path() == 'user/gateways'): ?> active   <?php elseif(request()->path() == 'user/offline/gateways'): ?> active <?php endif; ?>">
                            <a data-toggle="collapse" href="#gateways">
                                <i class="la flaticon-paypal"></i>
                                <p><?php echo e(__('Payment Gateways')); ?></p>
                                <span class="caret"></span>
                            </a>
                            <div class="collapse  <?php if(request()->path() == 'user/gateways'): ?> show   <?php elseif(request()->path() == 'user/offline/gateways'): ?> show <?php endif; ?>"
                                id="gateways">
                                <ul class="nav nav-collapse">
                                    <li class="<?php if(request()->path() == 'user/gateways'): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user.gateway.index')); ?>">
                                            <span class="sub-item"><?php echo e(__('Online Gateways')); ?></span>
                                        </a>
                                    </li>
                                    <li class="<?php if(request()->path() == 'user/offline/gateways'): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user.gateway.offline') . '?language=' . $default->code); ?>">
                                            <span class="sub-item"><?php echo e(__('Offline Gateways')); ?></span>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </li>
                        
                    <?php endif; ?>
                    <?php if(!empty($permissions) && in_array('Ecommerce', $permissions)): ?>
                        
                        <li class="nav-item  <?php if(request()->path() == 'user/register-user'): ?> active <?php endif; ?>">
                            <a href="<?php echo e(route('user.register-user', ['language' => $default->code])); ?>">
                                <i class="fas fa-users"></i>
                                <p><?php echo e(__('Register User')); ?></p>
                            </a>
                        </li>
                        
                    <?php endif; ?>
                    <li
                        class="nav-item  <?php if(request()->path() == 'user/favicon'): ?> active
                    <?php elseif(request()->path() == 'user/theme/version'): ?> active
                    <?php elseif(request()->path() == 'user/logo'): ?> active
                    <?php elseif(request()->path() == 'user/preloader'): ?> active
                    <?php elseif(request()->routeIs('user.basic_settings.general-settings')): ?> active
                    <?php elseif(request()->path() == 'user/color'): ?> active
                    <?php elseif(request()->path() == 'user/css'): ?> active
                    <?php elseif(request()->path() == 'user/social'): ?> active
                    <?php elseif(request()->is('user/social/*')): ?> active
                    <?php elseif(request()->routeIs('user.basic_settings.mail_templates')): ?> active
                    <?php elseif(request()->routeIs('user.basic_settings.edit_mail_template')): ?> active
                    <?php elseif(request()->path() == 'user/mail/information/subscriber'): ?> active
                    <?php elseif(request()->path() == 'user/basic_settings/seo'): ?> active
                    <?php elseif(request()->is('user/breadcrumb')): ?> active
                    <?php elseif(request()->routeIs('user.plugins')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#basic">
                            <i class="la flaticon-settings"></i>
                            <p><?php echo e(__('Settings')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/favicon'): ?> show
                        <?php elseif(request()->path() == 'user/theme/version'): ?> show
                        <?php elseif(request()->path() == 'user/logo'): ?> show
                        <?php elseif(request()->path() == 'user/preloader'): ?> show
                        <?php elseif(request()->routeIs('user.basic_settings.general-settings')): ?> show
                        <?php elseif(request()->path() == 'user/color'): ?> show
                        <?php elseif(request()->path() == 'user/css'): ?> show
                        <?php elseif(request()->path() == 'user/social'): ?> show
                        <?php elseif(request()->is('user/social/*')): ?> show
                        <?php elseif(request()->routeIs('user.basic_settings.mail_templates')): ?> show 
                        <?php elseif(request()->path() == 'user/mail/information/subscriber'): ?> show
                        <?php elseif(request()->routeIs('user.basic_settings.edit_mail_template')): ?> show 
                        <?php elseif(request()->path() == 'user/basic_settings/seo'): ?> show
                        <?php elseif(request()->is('user/breadcrumb')): ?> show
                        <?php elseif(request()->routeIs('user.plugins')): ?> show <?php endif; ?>"
                            id="basic">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'user/theme/version'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.theme.version')); ?>">
                                        <span class="sub-item"><?php echo e(__('Themes')); ?></span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'user/favicon'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.favicon')); ?>">
                                        <span class="sub-item"><?php echo e(__('Favicon')); ?></span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->routeIs('user.basic_settings.general-settings')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.basic_settings.general-settings')); ?>">
                                        <span class="sub-item"><?php echo e(__('General Settings')); ?></span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'user/logo'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.logo')); ?>">
                                        <span class="sub-item"><?php echo e(__('Logo')); ?></span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'user/breadcrumb'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.breadcrumb')); ?>">
                                        <span class="sub-item"><?php echo e(__('Breadcrumb')); ?></span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'user/preloader'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.preloader')); ?>">
                                        <span class="sub-item"><?php echo e(__('Preloader')); ?></span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'user/color'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.color.index')); ?>">
                                        <span class="sub-item"><?php echo e(__('Color Settings')); ?></span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'user/css'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.css.index')); ?>">
                                        <span class="sub-item"><?php echo e(__('Custom CSS')); ?></span>
                                    </a>
                                </li>

                                <?php if(!empty($permissions) && in_array('Plugins', $permissions)): ?>
                                    <li class="<?php echo e(request()->routeIs('user.plugins') ? 'active' : ''); ?>">
                                        <a href="<?php echo e(route('user.plugins')); ?>">
                                            <span class="sub-item"><?php echo e(__('Plugins')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <li
                                    class="<?php if(request()->path() == 'user/social'): ?> active
                                <?php elseif(request()->is('user/social/*')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.social.index')); ?>">
                                        <span class="sub-item"><?php echo e(__('Social Links')); ?></span>
                                    </a>
                                </li>

                                <li class="<?php if(request()->path() == 'user/basic_settings/seo'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.basic_settings.seo', ['language' => $default->code])); ?>">
                                        <span class="sub-item"><?php echo e(__('SEO Information')); ?></span>
                                    </a>
                                </li>
                                <?php if(!empty($permissions) && in_array('Ecommerce', $permissions)): ?>
                                    <li
                                        class="submenu
                                <?php if(request()->routeIs('user.basic_settings.mail_templates')): ?> selected
                                <?php elseif(request()->routeIs('user.basic_settings.edit_mail_template')): ?> selected
                                <?php elseif(request()->routeIs('user.basic_settings.edit_mail_template')): ?> selected
                                <?php elseif(request()->path() == 'user/mail/information/subscriber'): ?> selected <?php endif; ?>">
                                        <a data-toggle="collapse" href="#emailset"
                                            aria-expanded="<?php echo e(request()->path() == 'user/mail/information/subscriber' || request()->routeIs('user.basic_settings.mail_templates') || request()->routeIs('user.basic_settings.edit_mail_template') ? 'true' : 'false'); ?>">
                                            <span class="sub-item"><?php echo e(__('Email Settings')); ?></span>
                                            <span class="caret"></span>
                                        </a>
                                        <div class="collapse <?php echo e(request()->routeIs('user.basic_settings.mail_templates') || request()->routeIs('user.basic_settings.edit_mail_template') || request()->path() == 'user/mail/information/subscriber' ? 'show' : ''); ?>"
                                            id="emailset">
                                            <ul class="nav nav-collapse subnav">
                                                <li
                                                    class="
                                            <?php if(request()->routeIs('user.basic_settings.mail_templates')): ?> active
                                            <?php elseif(request()->routeIs('user.basic_settings.edit_mail_template')): ?> active <?php endif; ?>">
                                                    <a
                                                        href="<?php echo e(route('user.basic_settings.mail_templates', ['language' => $default->code])); ?>">
                                                        <span class="sub-item"><?php echo e(__('Mail Templates')); ?></span>
                                                    </a>
                                                </li>

                                                <li
                                                    class="
                                            <?php if(request()->path() == 'user/mail/information/subscriber'): ?> active <?php endif; ?>">
                                                    <a href="<?php echo e(route('user.mail.information')); ?>">
                                                        <span class="sub-item"><?php echo e(__('Mail Information')); ?></span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>
                                <?php endif; ?>
                            </ul>
                        </div>
                    </li>
                    <li
                        class="nav-item
                        <?php if(request()->path() == 'user/home-page-text/edit'): ?> active
                        <?php elseif(request()->path() == 'user/home-page/video'): ?> active
                        <?php elseif(request()->path() == 'user/home-page/about'): ?> active
                        <?php elseif(request()->path() == 'user/home_page/brand_section'): ?> active
                        <?php elseif(request()->path() == 'user/counter-informations'): ?> active
                        <?php elseif(request()->is('user/counter-information/*/edit')): ?> active
                        <?php elseif(request()->is('user/counter-information/*/edit')): ?> active
                        <?php elseif(request()->is('user/home_page/why-choose-us')): ?> active
                        <?php elseif(request()->routeIs('user.home_page.hero.slider_version')): ?> active
                        <?php elseif(request()->routeIs('user.offerBanner.index')): ?> active
                        <?php elseif(request()->routeIs('user.offerBanner.edit')): ?> active
                        <?php elseif(request()->routeIs('user.feature.index')): ?> active
                        <?php elseif(request()->routeIs('user.feature.edit')): ?> active
                        <?php elseif(request()->routeIs('user.home_page.hero.create_slider')): ?> active
                        <?php elseif(request()->routeIs('user.home_page.hero.edit_slider')): ?> active
                        <?php elseif(request()->routeIs('user.home_page.hero.video_version')): ?> active
                        <?php elseif(request()->routeIs('user.sections.index')): ?> active
                        <?php elseif(request()->routeIs('user.home_page.hero.static_version')): ?>active
                        <?php elseif(request()->routeIs('user.home_page.work_process_section')): ?>active
                        <?php elseif(request()->routeIs('user.home_page.work_process_section.create_work_process')): ?>active
                        <?php elseif(request()->routeIs('user.home_page.work_process_section.edit_work_process')): ?>active
                        <?php elseif(request()->path() == 'user/skills'): ?> active
                        <?php elseif(request()->is('user/skill/*/edit')): ?> active
                        <?php elseif(request()->path() == 'user/testimonials'): ?> active
                        <?php elseif(request()->is('user/testimonial/*/edit')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#home_section">
                            <i class="fas fa-home"></i>
                            <p><?php echo e(__('Home')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/home-page-text/edit'): ?> show
                        <?php elseif(request()->path() == 'user/home-page/video'): ?> show
                        <?php elseif(request()->path() == 'user/home-page/about'): ?> show
                        <?php elseif(request()->path() == 'user/home_page/brand_section'): ?> show
                        <?php elseif(request()->path() == 'user/counter-informations'): ?> show
                        <?php elseif(request()->is('user/counter-information/*/edit')): ?> show
                        <?php elseif(request()->is('user/home_page/why-choose-us')): ?> show
                        <?php elseif(request()->routeIs('user.home_page.hero.slider_version')): ?> show
                        <?php elseif(request()->routeIs('user.offerBanner.index')): ?> show
                        <?php elseif(request()->routeIs('user.offerBanner.edit')): ?> show
                        <?php elseif(request()->routeIs('user.feature.index')): ?> show
                        <?php elseif(request()->routeIs('user.feature.edit')): ?> show
                        <?php elseif(request()->routeIs('user.home_page.hero.create_slider')): ?> show
                        <?php elseif(request()->routeIs('user.home_page.hero.edit_slider')): ?> show
                        <?php elseif(request()->routeIs('user.home_page.hero.video_version')): ?> show
                        <?php elseif(request()->routeIs('user.sections.index')): ?> show
                        <?php elseif(request()->routeIs('user.home_page.hero.static_version')): ?>show
                        <?php elseif(request()->routeIs('user.home_page.work_process_section')): ?>show
                        <?php elseif(request()->routeIs('user.home_page.work_process_section.create_work_process')): ?> show
                        <?php elseif(request()->routeIs('user.home_page.work_process_section.edit_work_process')): ?>show
                        <?php elseif(request()->path() == 'user/skills'): ?> show
                        <?php elseif(request()->is('user/skill/*/edit')): ?> show
                        <?php elseif(request()->path() == 'user/testimonials'): ?> show
                        <?php elseif(request()->is('user/testimonial/*/edit')): ?> show <?php endif; ?> "
                            id="home_section">
                            <ul class="nav nav-collapse">

                                <?php if($userBs->theme == 'home_one' ||
                                    $userBs->theme == 'home_two' ||
                                    $userBs->theme == 'home_six' ||
                                    $userBs->theme == 'home_seven' ||
                                    $userBs->theme == 'home_eight'): ?>
                                    <li
                                        class="<?php if(request()->routeIs('user.home_page.hero.slider_version')): ?> active 
                                    <?php elseif(request()->routeIs('user.home_page.hero.create_slider')): ?> active
                                    <?php elseif(request()->routeIs('user.home_page.hero.edit_slider')): ?> active <?php endif; ?>
                                    ">
                                        <a
                                            href="<?php echo e(route('user.home_page.hero.slider_version') . '?language=' . $default->code); ?>">
                                            <span class="sub-item"><?php echo e(__('Hero Section')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <?php if($userBs->theme == 'home_three' || $userBs->theme == 'home_four' || $userBs->theme == 'home_five'): ?>
                                    <li class=" <?php if(request()->routeIs('user.home_page.hero.static_version')): ?> active <?php endif; ?>">
                                        <a
                                            href="<?php echo e(route('user.home_page.hero.static_version') . '?language=' . $default->code); ?>">
                                            <span class="sub-item"><?php echo e(__('Hero Section')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <li class="<?php if(request()->path() == 'user/home-page-text/edit'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.home.page.text.edit', ['language' => $default->code])); ?>">
                                        <span class="sub-item"><?php echo e(__('Home Sections')); ?></span>
                                    </a>
                                </li>

                                <?php if($userBs->theme == 'home_eight'): ?>
                                    <li
                                        class="  <?php if(request()->routeIs('user.feature.index')): ?> active  
                                        <?php elseif(request()->routeIs('user.feature.edit')): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user.feature.index') . '?language=' . $default->code); ?>">
                                            <span class="sub-item"><?php echo e(__('Features')); ?></span>
                                        </a>
                                    </li>
                                    <li
                                        class="  <?php if(request()->routeIs('user.offerBanner.index')): ?> active  
                                        <?php elseif(request()->routeIs('user.offerBanner.edit')): ?> active <?php endif; ?>">
                                        <a
                                            href="<?php echo e(route('user.offerBanner.index') . '?language=' . $default->code); ?>">
                                            <span class="sub-item"><?php echo e(__('Offer Banner')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <?php if($userBs->theme == 'home_six' ||
                                    $userBs->theme == 'home_one' ||
                                    $userBs->theme == 'home_two' ||
                                    $userBs->theme == 'home_three'): ?>
                                    <li class="<?php if(request()->routeIs('user.home.page.about')): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user.home.page.about', ['language' => $default->code])); ?>">
                                            <span class="sub-item"><?php echo e(__('About Section')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <?php if(!empty($permissions) && in_array('Counter Information', $permissions)): ?>
                                    <?php if($userBs->theme != 'home_eight'): ?>
                                        <li class="<?php if(request()->path() == 'user/counter-informations'): ?> active <?php endif; ?>">
                                            <a href="<?php echo e(route('user.counter-information.index')); ?>">
                                                <span class="sub-item"><?php echo e(__('Counter Information')); ?></span>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                <?php endif; ?>

                                <?php if($userBs->theme != 'home_three' && $userBs->theme != 'home_eight'): ?>
                                    <li class="<?php if(request()->routeIs('user.home.page.video')): ?> active <?php endif; ?>">
                                        <a href="<?php echo e(route('user.home.page.video', ['language' => $default->code])); ?>">
                                            <span class="sub-item"><?php echo e(__('Video Section')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <?php if($userBs->theme == 'home_one' ||
                                    $userBs->theme == 'home_two' ||
                                    $userBs->theme == 'home_six' ||
                                    $userBs->theme == 'home_three' ||
                                    $userBs->theme == 'home_eight'): ?>
                                    <li class="<?php if(request()->path() == 'user/home_page/brand_section'): ?> active <?php endif; ?>">
                                        <a
                                            href="<?php echo e(route('user.home_page.brand_section', ['language' => $default->code])); ?>">
                                            <span class="sub-item"><?php echo e(__('Brand Section')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <?php if($userBs->theme == 'home_one' || $userBs->theme == 'home_three'): ?>
                                    <li class="<?php if(request()->path() == 'user/home_page/why-choose-us'): ?> active <?php endif; ?>">
                                        <a
                                            href="<?php echo e(route('user.home_page.why_choose_us_section', ['language' => $default->code])); ?>">
                                            <span class="sub-item"><?php echo e(__('Why Choose Us Section')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>


                                <?php if(!empty($permissions) && in_array('Skill', $permissions)): ?>
                                    <?php if($userBs->theme != 'home_three' && $userBs->theme != 'home_two' && $userBs->theme != 'home_eight'): ?>
                                        <li
                                            class="
                                    <?php if(request()->path() == 'user/skills'): ?> active
                                    <?php elseif(request()->is('user/skill/*/edit')): ?> active <?php endif; ?>">
                                            <a
                                                href="<?php echo e(route('user.skill.index') . '?language=' . $default->code); ?>">
                                                <span class="sub-item"><?php echo e(__('Skills')); ?></span>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                <?php endif; ?>

                                <?php if(!empty($permissions) && in_array('Testimonial', $permissions)): ?>
                                <?php if($userBs->theme != 'home_eight'): ?>
                                    <li
                                        class="<?php if(request()->path() == 'user/testimonials'): ?> active
                                <?php elseif(request()->is('user/testimonial/*/edit')): ?> active <?php endif; ?>">
                                        <a
                                            href="<?php echo e(route('user.testimonials.index') . '?language=' . $default->code); ?>">
                                            <span class="sub-item"><?php echo e(__('Testimonial')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <?php endif; ?>

                                <?php if(isset($userBs->theme) &&
                                    ($userBs->theme === 'home_three' ||
                                        $userBs->theme === 'home_two' ||
                                        $userBs->theme === 'home_seven' ||
                                        $userBs->theme === 'home_four' ||
                                        $userBs->theme === 'home_five' ||
                                        $userBs->theme === 'home_two' ||
                                        $userBs->theme === 'home_six')): ?>
                                    <li
                                        class="<?php if(request()->routeIs('user.home_page.work_process_section')): ?> active
                            <?php elseif(request()->routeIs('user.home_page.work_process_section.create_work_process')): ?> active
                            <?php elseif(request()->routeIs('user.home_page.work_process_section.edit_work_process')): ?> active <?php endif; ?>">
                                        <a
                                            href="<?php echo e(route('user.home_page.work_process_section') . '?language=' . $default->code); ?>">
                                            <span class="sub-item"><?php echo e(__('Work Process Section')); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <li class="<?php echo e(request()->routeIs('user.sections.index') ? 'active' : ''); ?>">
                                    <a href="<?php echo e(route('user.sections.index')); ?>">
                                        <span class="sub-item"><?php echo e(__('Sections Hide / Show')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>

                    
                    <li
                        class="nav-item
                    <?php if(request()->routeIs('user.footer.text')): ?> active
                    <?php elseif(request()->routeIs('user.footer.quick_links')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#footer">
                            <i class="far fa-shoe-prints"></i>
                            <p><?php echo e(__('Footer')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div id="footer"
                            class="collapse
                        <?php if(request()->routeIs('user.footer.text')): ?> show
                        <?php elseif(request()->routeIs('user.footer.quick_links')): ?> show <?php endif; ?>">
                            <ul class="nav nav-collapse">
                                <li class="<?php echo e(request()->routeIs('user.footer.text') ? 'active' : ''); ?>">
                                    <a href="<?php echo e(route('user.footer.text') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Footer Logo & Text')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php echo e(request()->routeIs('user.footer.quick_links') ? 'active' : ''); ?>">
                                    <a href="<?php echo e(route('user.footer.quick_links') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Quick Links')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>

                <?php if(!empty($permissions) && in_array('Service', $permissions)): ?>
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/services'): ?> active 
                    <?php elseif(request()->routeIs('user.service.edit')): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('user.services.index') . '?language=' . $default->code); ?>">
                            <i class="fas fa-hands"></i>
                            <p><?php echo e(__('Services')); ?></p>
                        </a>
                    </li>
                <?php endif; ?>

                <?php if(!empty($permissions) && in_array('Portfolio', $permissions)): ?>
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/portfolio-categories'): ?> active
                    <?php elseif(request()->path() == 'user/portfolios'): ?> active
                    <?php elseif(request()->is('user/portfolio/*/edit')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#portfolio">
                            <i class="fas fa-chalkboard-teacher"></i>
                            <p><?php echo e(__('Portfolio')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/portfolio-categories'): ?> show
                        <?php elseif(request()->path() == 'user/portfolios'): ?> show
                        <?php elseif(request()->is('user/portfolio/*/edit')): ?> show <?php endif; ?>"
                            id="portfolio">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'user/portfolio-categories'): ?> active <?php endif; ?>">
                                    <a
                                        href="<?php echo e(route('user.portfolio.category.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Category')); ?></span>
                                    </a>
                                </li>
                                <li
                                    class="
                                <?php if(request()->path() == 'user/portfolios'): ?> active
                                <?php elseif(request()->is('user/portfolio/*/edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.portfolio.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Portfolios')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>

                <?php if(!empty($permissions) && in_array('Team', $permissions)): ?>
                    <li
                        class="nav-item
                <?php if(request()->routeIs('user.team_section')): ?> active
                <?php elseif(request()->routeIs('user.team_section.create_member')): ?> active
                <?php elseif(request()->routeIs('user.team_section.edit_member')): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('user.team_section') . '?language=' . $default->code); ?>">
                            <i class="fas fa-users"></i>
                            <p><?php echo e(__('Team')); ?></p>
                        </a>
                    </li>
                <?php endif; ?>

                <?php if(!empty($permissions) && in_array('Blog', $permissions)): ?>
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/blog-categories'): ?> active
                    <?php elseif(request()->path() == 'user/blogs'): ?> active
                    <?php elseif(request()->is('user/blog/*/edit')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#blog">
                            <i class="fas fa-blog"></i>
                            <p><?php echo e(__('Blog')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/blog-categories'): ?> show
                        <?php elseif(request()->path() == 'user/blogs'): ?> show
                        <?php elseif(request()->is('user/blog/*/edit')): ?> show <?php endif; ?>"
                            id="blog">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'user/blog-categories'): ?> active <?php endif; ?>">
                                    <a
                                        href="<?php echo e(route('user.blog.category.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Category')); ?></span>
                                    </a>
                                </li>
                                <li
                                    class="
                                <?php if(request()->path() == 'user/blogs'): ?> active
                                <?php elseif(request()->is('user/blog/*/edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.blog.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Blog')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>



                <?php if(!is_null($package)): ?>
                    
                    <li class="nav-item <?php echo e(request()->routeIs('user.faq_management') ? 'active' : ''); ?>">
                        <a href="<?php echo e(route('user.faq_management') . '?language=' . $default->code); ?>">
                            <i class="la flaticon-round"></i>
                            <p><?php echo e(__('FAQ Management')); ?></p>
                        </a>
                    </li>
                <?php endif; ?>

                <?php if(!empty($permissions) && in_array('Career', $permissions)): ?>
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/jcategorys'): ?> active
                    <?php elseif(request()->path() == 'user/job/create'): ?> active
                    <?php elseif(request()->is('user/jcategory/*/edit')): ?> active
                    <?php elseif(request()->path() == 'user/jobs'): ?> active
                    <?php elseif(request()->is('user/job/*/edit')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#career">
                            <i class="fas fa-user-md"></i>
                            <p><?php echo e(__('Career')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/jcategorys'): ?> show
                        <?php elseif(request()->path() == 'user/job/create'): ?> show
                        <?php elseif(request()->is('user/jcategory/*/edit')): ?> show
                        <?php elseif(request()->path() == 'user/jobs'): ?> show
                        <?php elseif(request()->is('user/job/*/edit')): ?> show <?php endif; ?>"
                            id="career">
                            <ul class="nav nav-collapse subnav">
                                <li
                                    class="
                                <?php if(request()->path() == 'user/jcategorys'): ?> active
                                <?php elseif(request()->is('user/jcategory/*/edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.jcategory.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Category')); ?></span>
                                    </a>
                                </li>
                                <li
                                    class="
                                <?php if(request()->is('user/job/create')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.job.create')); ?>">
                                        <span class="sub-item"><?php echo e(__('Post Job')); ?></span>
                                    </a>
                                </li>
                                <li
                                    class="
                                <?php if(request()->path() == 'user/jobs'): ?> active
                                <?php elseif(request()->is('user/job/*/edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.job.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Job Management')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>


                <?php if(!is_null($package)): ?>
                    <li class="nav-item
                    <?php if(request()->path() == 'user/contact'): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('user.contact', ['language' => $default->code])); ?>">
                            <i class="fas fa-envelope"></i>
                            <p><?php echo e(__('Contact Page')); ?></p>
                        </a>
                    </li>
                <?php endif; ?>



                <?php if(!empty($permissions) && in_array('Custom Page', $permissions)): ?>
                    
                    <li
                        class="nav-item
                <?php if(request()->path() == 'user/page/create'): ?> active
                <?php elseif(request()->path() == 'user/pages'): ?> active
                <?php elseif(request()->is('user/page/*/edit')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#pages">
                            <i class="la flaticon-file"></i>
                            <p><?php echo e(__('Custom Page')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                    <?php if(request()->path() == 'user/page/create'): ?> show
                    <?php elseif(request()->path() == 'user/pages'): ?> show
                    <?php elseif(request()->is('user/page/*/edit')): ?> show <?php endif; ?>"
                            id="pages">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'user/page/create'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.page.create')); ?>">
                                        <span class="sub-item"><?php echo e(__('Create Page')); ?></span>
                                    </a>
                                </li>
                                <li
                                    class="
                            <?php if(request()->path() == 'user/pages'): ?> active
                            <?php elseif(request()->is('user/page/*/edit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.page.index') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Pages')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>

                <?php if(!empty($permissions) && in_array('Request a Quote', $permissions)): ?>
                    
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/quote/form'): ?> active
                    <?php elseif(request()->is('user/quote/*/inputEdit')): ?> active
                    <?php elseif(request()->path() == 'user/all/quotes'): ?> active
                    <?php elseif(request()->path() == 'user/pending/quotes'): ?> active
                    <?php elseif(request()->path() == 'user/processing/quotes'): ?> active
                    <?php elseif(request()->path() == 'user/completed/quotes'): ?> active
                    <?php elseif(request()->path() == 'user/rejected/quotes'): ?> active
                    <?php elseif(request()->path() == 'user/quote/visibility'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#quote">
                            <i class="fas fa-quote-left"></i>
                            <p><?php echo e(__('Quote Management')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/quote/form'): ?> show
                        <?php elseif(request()->is('user/quote/*/inputEdit')): ?> show
                        <?php elseif(request()->path() == 'user/all/quotes'): ?> show
                        <?php elseif(request()->path() == 'user/pending/quotes'): ?> show
                        <?php elseif(request()->path() == 'user/processing/quotes'): ?> show
                        <?php elseif(request()->path() == 'user/completed/quotes'): ?> show
                        <?php elseif(request()->path() == 'user/rejected/quotes'): ?> show
                        <?php elseif(request()->path() == 'user/quote/visibility'): ?> show <?php endif; ?>"
                            id="quote">
                            <ul class="nav nav-collapse">
                                <li
                                    class="
                                <?php if(request()->path() == 'user/quote/visibility'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.quote.visibility')); ?>">
                                        <span class="sub-item"><?php echo e(__('Visibility')); ?></span>
                                    </a>
                                </li>
                                <li
                                    class="
                                <?php if(request()->path() == 'user/quote/form'): ?> active
                                <?php elseif(request()->is('user/quote/*/inputEdit')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.quote.form') . '?language=' . $default->code); ?>">
                                        <span class="sub-item"><?php echo e(__('Form Builder')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'user/all/quotes'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.all.quotes')); ?>">
                                        <span class="sub-item"><?php echo e(__('All Quotes')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'user/pending/quotes'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.pending.quotes')); ?>">
                                        <span class="sub-item"><?php echo e(__('Pending Quotes')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'user/processing/quotes'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.processing.quotes')); ?>">
                                        <span class="sub-item"><?php echo e(__('Processing Quotes')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'user/completed/quotes'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.completed.quotes')); ?>">
                                        <span class="sub-item"><?php echo e(__('Completed Quotes')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'user/rejected/quotes'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.rejected.quotes')); ?>">
                                        <span class="sub-item"><?php echo e(__('Rejected Quotes')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>

                <?php if(!empty($permissions) && in_array('QR Builder', $permissions)): ?>
                    <li
                        class="nav-item
                    <?php if(request()->routeIs('user.qrcode')): ?> active
                    <?php elseif(request()->routeIs('user.qrcode.index')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#qrcode">
                            <i class="fas fa-qrcode"></i>
                            <p><?php echo e(__('QR Codes')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->routeIs('user.qrcode')): ?> show
                        <?php elseif(request()->routeIs('user.qrcode.index')): ?> show <?php endif; ?>"
                            id="qrcode">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->routeIs('user.qrcode')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.qrcode')); ?>">
                                        <span class="sub-item"><?php echo e(__('Generate QR Code')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->routeIs('user.qrcode.index')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.qrcode.index')); ?>">
                                        <span class="sub-item"><?php echo e(__('Saved QR Codes')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>

                <?php if(!empty($permissions) && in_array('vCard', $permissions)): ?>
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/vcard'): ?> active
                    <?php elseif(request()->path() == 'user/vcard/create'): ?> active
                    <?php elseif(request()->is('user/vcard/*/edit')): ?> active
                    <?php elseif(request()->routeIs('user.vcard.services')): ?> active
                    <?php elseif(request()->routeIs('user.vcard.projects')): ?> active
                    <?php elseif(request()->routeIs('user.vcard.testimonials')): ?> active
                    <?php elseif(request()->routeIs('user.vcard.about')): ?> active
                    <?php elseif(request()->routeIs('user.vcard.preferences')): ?> active
                    <?php elseif(request()->routeIs('user.vcard.color')): ?> active
                    <?php elseif(request()->routeIs('user.vcard.keywords')): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#vcard">
                            <i class="far fa-address-card"></i>
                            <p><?php echo e(__('vCards Management')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/vcard'): ?> show
                        <?php elseif(request()->path() == 'user/vcard/create'): ?> show
                        <?php elseif(request()->is('user/vcard/*/edit')): ?> show
                        <?php elseif(request()->routeIs('user.vcard.services')): ?> show
                        <?php elseif(request()->routeIs('user.vcard.projects')): ?> show
                        <?php elseif(request()->routeIs('user.vcard.testimonials')): ?> show
                        <?php elseif(request()->routeIs('user.vcard.about')): ?> show
                        <?php elseif(request()->routeIs('user.vcard.preferences')): ?> show
                        <?php elseif(request()->routeIs('user.vcard.color')): ?> show
                        <?php elseif(request()->routeIs('user.vcard.keywords')): ?> show <?php endif; ?>"
                            id="vcard">
                            <ul class="nav nav-collapse">
                                <li
                                    class="<?php if(request()->path() == 'user/vcard'): ?> active
                            <?php elseif(request()->is('user/vcard/*/edit')): ?> active
                            <?php elseif(request()->routeIs('user.vcard.services')): ?> active
                            <?php elseif(request()->routeIs('user.vcard.projects')): ?> active
                            <?php elseif(request()->routeIs('user.vcard.testimonials')): ?> active
                            <?php elseif(request()->routeIs('user.vcard.about')): ?> active
                            <?php elseif(request()->routeIs('user.vcard.preferences')): ?> active
                            <?php elseif(request()->routeIs('user.vcard.color')): ?> active
                            <?php elseif(request()->routeIs('user.vcard.keywords')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.vcard')); ?>">
                                        <span class="sub-item"><?php echo e(__('vCards')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'user/vcard/create'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.vcard.create')); ?>">
                                        <span class="sub-item"><?php echo e(__('Add vCard')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>

                <?php if(!empty($permissions) && in_array('Follow/Unfollow', $permissions)): ?>
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/follower-list'): ?> active
                    <?php elseif(request()->path() == 'user/following-list'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#follow">
                            <i class="fas fa-user-friends"></i>
                            <p><?php echo e(__('Follower/Following')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/follower-list'): ?> show
                        <?php elseif(request()->path() == 'user/following-list'): ?> show <?php endif; ?>"
                            id="follow">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'user/follower-list'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.follower.list')); ?>">
                                        <span class="sub-item"><?php echo e(__('Follower')); ?></span>
                                    </a>
                                </li>
                                <li
                                    class="
                                <?php if(request()->path() == 'user/following-list'): ?> active
                                <?php elseif(request()->is('user/following-list')): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.following.list')); ?>">
                                        <span class="sub-item"><?php echo e(__('Following')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                <?php endif; ?>

                <?php if(!is_null($package)): ?>
                    
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/subscribers'): ?> active
                    <?php elseif(request()->path() == 'user/mailsubscriber'): ?> active
                    <?php elseif(request()->path() == 'user/mail/information/subscriber'): ?> active <?php endif; ?>">
                        <a data-toggle="collapse" href="#subscribers">
                            <i class="la flaticon-envelope"></i>
                            <p><?php echo e(__('Subscribers')); ?></p>
                            <span class="caret"></span>
                        </a>
                        <div class="collapse
                        <?php if(request()->path() == 'user/subscribers'): ?> show
                        <?php elseif(request()->path() == 'user/mailsubscriber'): ?> show
                        <?php elseif(request()->path() == 'user/mail/information/subscriber'): ?> show <?php endif; ?>"
                            id="subscribers">
                            <ul class="nav nav-collapse">
                                <li class="<?php if(request()->path() == 'user/mail/information/subscriber'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.mail.information')); ?>">
                                        <span class="sub-item"><?php echo e(__('Mail Information')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'user/subscribers'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.subscriber.index')); ?>">
                                        <span class="sub-item"><?php echo e(__('Subscribers')); ?></span>
                                    </a>
                                </li>
                                <li class="<?php if(request()->path() == 'user/mailsubscriber'): ?> active <?php endif; ?>">
                                    <a href="<?php echo e(route('user.mailsubscriber')); ?>">
                                        <span class="sub-item"><?php echo e(__('Mail to Subscribers')); ?></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>

                    
                    <li
                        class="nav-item
                    <?php if(request()->path() == 'user/languages'): ?> active
                    <?php elseif(request()->is('user/language/*/edit')): ?> active
                    <?php elseif(request()->is('user/language/*/edit/keyword')): ?> active <?php endif; ?>">
                        <a href="<?php echo e(route('user.language.index')); ?>">
                            <i class="fas fa-language"></i>
                            <p><?php echo e(__('Language Management')); ?></p>
                        </a>
                    </li>
                <?php endif; ?>

                <li
                    class="nav-item
                    <?php if(request()->path() == 'user/package-list'): ?> active
                    <?php elseif(request()->is('user/package/checkout/*')): ?> active <?php endif; ?>">
                    <a href="<?php echo e(route('user.plan.extend.index')); ?>">
                        <i class="fas fa-file-invoice-dollar"></i>
                        <p><?php echo e(__('Buy Plan')); ?></p>
                    </a>
                </li>
                <li class="nav-item
                    <?php if(request()->path() == 'user/payment-log'): ?> active <?php endif; ?>">
                    <a href="<?php echo e(route('user.payment-log.index')); ?>">
                        <i class="fas fa-list-ol"></i>
                        <p><?php echo e(__('Payment Logs')); ?></p>
                    </a>
                </li>
                <li class="nav-item
                    <?php if(request()->path() == 'user/change-password'): ?> active <?php endif; ?>">
                    <a href="<?php echo e(route('user.changePass')); ?>">
                        <i class="fas fa-key"></i>
                        <p><?php echo e(__('Change Password')); ?></p>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</div>
<?php /**PATH /Users/samiulalimpratik/Sites/businesso/businesso/core/resources/views/user/partials/side-navbar.blade.php ENDPATH**/ ?>